Search markets
curl --request GET \
--url https://api.allium.so/api/v1/markets/search \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.allium.so/api/v1/markets/search"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.allium.so/api/v1/markets/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"market_id": "<string>",
"venue": "<string>"
}
]
}Market Data
Search markets
Free-text search across markets by ticker, venue, and asset.
GET
/
api
/
v1
/
markets
/
search
Search markets
Alpha — The Market Data API is in alpha. Schema and response format may change. To request access, contact us or reach out to your account manager.
match_type indicates which field matched the query.Authorizations
Query Parameters
Search query (max 1024 chars).
Maximum string length:
1024Maximum results to return (1–100).
Required range:
1 <= x <= 100Response
200 - application/json
Ranked search results.
Show child attributes
Show child attributes
Was this page helpful?
⌘I